Name:           vegastrike
Version:        0.4.3
Release:        8%{?dist}
Summary:        3D OpenGL spaceflight simulator
Group:          Amusements/Games
License:        GPLv2+
URL:            http://vegastrike.sourceforge.net/
# sigh no tarballs from upstream why o why? Created by doing the following:
# cvs -z9 \
#   -d:pserver:anonymous@vegastrike.cvs.sourceforge.net:/cvsroot/vegastrike \
#   checkout -rvegastrike_0_4_3 vegastrike
# mv vegastrike vegastrike-0.4.3
# pushd vegastrike-0.4.3
# rm -fr vc98 src/boost* English.lproj VegaStrikeOSX*
# rm -fr `find -name CVS`
# popd
# tar cvfj vegastrike-0.4.3.tar.bz2 vegastrike-0.4.3
Source0:        %{name}-%{version}.tar.bz2
# Found in the mandrive srpm, origin ??
Source1:        %{name}-manpages.tar.bz2
# and again no tarbal, this is created by doing the following:
# cvs -z9 \
#   -d:pserver:anonymous@vegastrike.cvs.sourceforge.net:/cvsroot/vegastrike \
#   checkout vssetup
# rm -fr `find vssetup -name CVS`
# tar cvfj vssetup.tar.bz2 vssetup
Source2:        vssetup.tar.bz2
Source3:        %{name}.desktop
Source4:        %{name}-32x32.png
Source5:        %{name}-48x48.png
Source6:        %{name}-wrapper.sh
Patch0:         vegastrike-0.4.2-char-fix.patch
Patch2:         vegastrike-0.4.2-launcher-fix.patch
# not applied as no longer needed, kept for reference
Patch4:         vegastrike-0.4.2-opengl-fix.patch
Patch5:         vegastrike-0.4.2-paths-fix.patch
Patch6:         vegastrike-0.4.2-posh-fix.patch
Patch7:         vegastrike-0.4.3-alut-fixes.patch
Patch8:         vegastrike-0.4.3-gcc4-fix.patch
Patch9:         vegastrike-0.4.3-64-bit.patch
Patch10:        vegastrike-0.4.3-gtk2.patch
Patch11:        vegastrike-0.4.2-vssetup-fix.patch
Patch12:        vegastrike-0.4.3-gcc41-fix.patch
Patch13:        vegastrike-0.4.3-use-system-boost.patch
Patch14:        vegastrike-0.4.3-openal.patch
Patch15:        vegastrike-0.4.3-sys-python.patch
Patch16:        vegastrike-0.4.3-ppc.patch
Patch17:        vegastrike-0.4.3-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libGLU-devel freeglut-devel libXi-devel libXmu-devel gtk2-devel
BuildRequires:  libjpeg-devel libpng-devel boost-devel expat-devel python-devel
BuildRequires:  SDL_mixer-devel openal-devel freealut-devel libvorbis-devel
BuildRequires:  automake desktop-file-utils
Requires:       %{name}-data = %{version}, hicolor-icon-theme, gedit
Requires:       opengl-games-utils

%description
Vega Strike is a GPL 3D OpenGL Action RPG space sim that allows a player to
trade and bounty hunt. You start in an old beat up Wayfarer cargo ship, with
endless possibility before you and just enough cash to scrape together a life.
Yet danger lurks in the space beyond.


%prep
%setup -q -a1 -a2
%patch0 -p1 -b .char
%patch2 -p1 -b .launcher
%patch5 -p1 -b .paths
%patch6 -p1 -b .posh
%patch7 -p1 -b .alut
%patch8 -p1 -b .gcc4
%patch9 -p1 -b .64-bit
%patch10 -p1 -b .gtk2
%patch11 -p1 -b .vssetup
%patch12 -p1 -b .gcc41
%patch13 -p1 -b .boost
%patch14 -p1 -b .openal
%patch15 -p1 -b .sys-py
%patch16 -p1 -b .ppc
%patch17 -p1 -b .gcc43
chmod -x `find src -type f`
sed -i 's|lib/python|%{_lib}/python|g' configure.in
sed -i 's/\r//g' README
# we want to use the system version of expat.h
rm objconv/mesher/expat.h
autoreconf -i


%build
pushd vssetup/src
  make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
popd
%configure --with-data-dir=%{_datadir}/%{name} --enable-release \
  --enable-flags="$RPM_OPT_FLAGS" 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
# Note: make install PREFIX=$RPM_BUILD_ROOT doesnot work :(
pushd vssetup/src
  %makeinstall
popd

%makeinstall
install -p -m 755 %{SOURCE6} $RPM_BUILD_ROOT%{_bindir}

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/%{name}
for i in accountserver asteroidgen mesher replace trisort vegaserver \
         vsrextract vsrmake soundserver; do
  mv $RPM_BUILD_ROOT%{_bindir}/$i $RPM_BUILD_ROOT%{_libexecdir}/%{name}
done

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
install -p -m 644 *.6 $RPM_BUILD_ROOT%{_mandir}/man6

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE3}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE4} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -m 644 %{SOURCE5} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%{name}.png


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING DOCUMENTATION README ToDo.txt
%{_bindir}/%{name}*
%{_bindir}/vs*
%{_libexecdir}/%{name}
%{_mandir}/man6/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Thu Feb 14 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-8
- Fix building with gcc 4.3
- Rebuild for gcc 4.3

* Mon Sep 24 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-7
- Use opengl-games-utils wrapper to show error dialog when DRI is missing

* Tue Aug 28 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-6
- Rebuild for new expat 2.0

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-5
- Rebuild for buildId

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-4
- Update License tag for new Licensing Guidelines compliance
- Rebuild against new boost

* Wed May  9 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-3
- Add some missing files including COPYING to %%doc
- Fix PPC compilation

* Mon Apr 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-2
- Add some missing BuildRequires
- Keep system python paths in python path

* Fri Mar 23 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.4.3-1
- Initial Fedora Extras package, partially based on Mandriva contrib SRPM
